package summarizer;

import junit.framework.TestCase;
import summarizer.Edge;
import summarizer.Node;

public class EdgeTest extends TestCase {

	public EdgeTest(String name) {
		super(name);
	}

	@Override
	protected void setUp() throws Exception {
		super.setUp();
	}

	@Override
	protected void tearDown() throws Exception {
		super.tearDown();
	}

	public void testInverse() {
		Node n1 = new Node(1, "origem");
		Node n2 = new Node(2, "destino");
		Edge edge1 = new Edge(n1, n2, "origem->destino");
		Edge edge2 = new Edge(n2, n1, "destino->origem");
		assertTrue(edge1.isInverseOf(edge2));
		assertTrue(edge2.isInverseOf(edge1));
	}
}
