package summarizer;

import junit.framework.TestCase;
import summarizer.OntologyData;
import summarizer.XMLOntologyDataParser;

public class XMLOntologyDataParserTest extends TestCase {

	public XMLOntologyDataParserTest(String name) {
		super(name);
	}

	@Override
	protected void setUp() throws Exception {
		super.setUp();
	}

	@Override
	protected void tearDown() throws Exception {
		super.tearDown();
	}

	public void testParse() {
		XMLOntologyDataParser xodp = new XMLOntologyDataParser(
				"etc/correspondences.xml");
		xodp.parse();
		OntologyData od = xodp.getOntologyData();
		assertEquals(2, od.getFrequencies().keySet().size());
		assertTrue(od.getFrequencies().keySet().contains("student"));
		assertTrue(od.getFrequencies().keySet().contains("professor"));
		assertEquals(2, od.getFrequency("student"));
		assertEquals(1, od.getFrequency("professor"));
	}
}
